CCMParameters (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.cms

## Class CCMParameters

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.CCMParameters

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CCMParameters
      extends ASN1Object

  RFC 5084: CCMParameters object.

       CCMParameters ::= SEQUENCE {
         aes-nonce        OCTET STRING, -- recommended size is 12 octets
         aes-ICVlen       AES-CCM-ICVlen DEFAULT 12 }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCMParameters(byte[] nonce, int icvLen)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIcvLen()`
    `static CCMParameters` | `getInstance(java.lang.Object obj)` Return an CCMParameters object from the given object.
    `byte[]` | `getNonce()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CCMParameters

          public CCMParameters(byte[] nonce,
                       int icvLen)

  - ### Method Detail

    - #### getInstance

          public static CCMParameters getInstance(java.lang.Object obj)

      Return an CCMParameters object from the given object.

      Accepted inputs:

      - null → null
      - `CCMParameters` object
      - `ASN1Sequence` input formats with CCMParameters structure inside
      Parameters:
        `obj` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getNonce

          public byte[] getNonce()

    - #### getIcvLen

          public int getIcvLen()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.